This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 957705 - (CVE-2013-2017) CVE-2013-2017 kernel: veth: double-free flaw in case of congestion
CVE-2013-2017 kernel: veth: double-free flaw in case of congestion
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20100506,repor...
: Security
Depends On: 957712 957713
Blocks: 957720
  Show dependency treegraph
 
Reported: 2013-04-29 06:35 EDT by Petr Matousek
Modified: 2015-07-31 07:48 EDT (History)
28 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-10 18:01:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Novell 817643 None None None Never

  None (edit)
Description Petr Matousek 2013-04-29 06:35:56 EDT
A flaw was found in the way Virtual Ethernet driver implementation in the Linux kernel handled skbs in case of congestion.

A remote attacker could potentially use this flaw to crash the system.

Introduced in:
2.6.33-rc1

Fixed in:
2.6.34

Upstream fix:
https://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=6ec82562ffc6f297d0de36d65776cff8e5704867

References:
http://marc.info/?l=linux-netdev&m=127310770900442&w=3

Acknowledgements:

Red Hat would like to thank Atzm WATANABE of Stratosphere Inc. for reporting this issue.
Comment 1 Petr Matousek 2013-04-29 07:00:22 EDT
Statement:

This issue does not affect the versions of Linux kernel as shipped with Red Hat Enterprise Linux 5 and Red Hat Enterprise MRG 2.
Comment 6 errata-xmlrpc 2013-06-10 17:53:44 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:0911 https://rhn.redhat.com/errata/RHSA-2013-0911.html

Note You need to log in before you can comment on or make changes to this bug.